Cyberduck Mountain Duck CLI

#2038 closed defect (worksforme)

Cyberduck fails to launch after downloading

Reported by: wsteveb Owned by: dkocher
Priority: highest Milestone: 3.0.2
Component: core Version: 3.0.1
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

I launched Cyberduck, after using many time since I first installed it about 2 months ago. A window popped up asking me to update it which I did. The install seemed to go smoothly, although Cyberduck crashed at the beginning of the install. Since then it will not launch at all. I have tried dowloading and reistalling it again but this has not solved the problem.

Change History (8)

comment:1 Changed on May 14, 2008 at 7:38:35 PM by dkocher

  • Milestone changed from 3.1 to 3.0.1
  • Status changed from new to assigned

Can you find any related output in the console.log (/Applications/Utilities/Console.app)?

comment:2 Changed on May 16, 2008 at 9:18:40 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Also please note that Cyberduck 3 is 10.4+ only.

comment:3 Changed on Jun 1, 2008 at 9:50:46 PM by minnerd

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:4 Changed on Jun 13, 2008 at 11:54:10 AM by dharma66@…

I'm having the same issue. This is what I get in the console.

FYI, I'm using latest JAva update from apple, and hence am using Java 1.6...

13/06/2008 12:52:18 Cyberduck[8092] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting 13/06/2008 12:52:18 com.apple.launchd[286] ([0x0-0x190190].ch.sudo.cyberduck[8092]) Exited with exit code: 1

comment:5 Changed on Jun 15, 2008 at 12:12:28 AM by Hunter_Productions@…

  • Summary changed from Cyberduck fails to launch after update to Cyberduck fails to launch after downloading

I downloaded CyberDuck 3.0.1 a few minutes ago and I can't get it to open. The icon pops up in the window and when I click on it nothing happens. What am I doing or not doing so I can get this software to work?

I am working on a MAC OS 10.4

Here is what is in my Console

2008-06-14 16:36:20.650 Cyberduck[283] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist 
2008-06-14 16:36:24.773 Cyberduck[283] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
[261] http://www.freesmug.org/tutorial/cyberduck/ line 132: TypeError: Null value
2008-06-14 16:41:43.418 Cyberduck[287] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:41:44.337 Cyberduck[287] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
2008-06-14 16:41:54.221 Cyberduck[288] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:41:54.919 Cyberduck[288] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
2008-06-14 16:42:30.470 Cyberduck[290] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:42:31.140 Cyberduck[290] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
2008-06-14 16:45:15.668 Cyberduck[292] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:45:16.689 Cyberduck[292] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
2008-06-14 16:46:21.904 Cyberduck[298] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:46:22.582 Cyberduck[298] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting
2008-06-14 16:48:13.171 Cyberduck[300] NSJVM: No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist
2008-06-14 16:48:13.814 Cyberduck[300] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting


Last edited on Aug 25, 2010 at 4:07:13 PM by dkocher (previous) (diff)

comment:6 Changed on Jul 10, 2008 at 9:59:59 PM by anonymous

  • Version changed from 2.8.5 to 3.0.1

I have the same problem. I have Java 1.6 set to Current in the Frameworks. Worked fine when I had Beta 3

7/10/08 4:53:13 PM Cyberduck[674] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting 7/10/08 4:53:13 PM com.apple.launchd[105] ([0x0-0x66066].ch.sudo.cyberduck[674]) Exited with exit code: 1

Version 0, edited on Jul 10, 2008 at 9:59:59 PM by anonymous (next)

comment:7 Changed on Jul 17, 2008 at 12:42:38 AM by JasmindLT@…

I also have the same problem. When I try to open cyberduck from my applications it pops up in the dock for a few seconds then disappers. How can I fix this?

comment:8 Changed on Jul 21, 2008 at 8:37:52 PM by dkocher

  • Milestone changed from 3.0.1 to 3.0.2
  • Resolution set to worksforme
  • Status changed from reopened to closed
No matching version for 'JVMVersion' (1.5) in 'Java' from Info.plist

Have you removed Java 5 from your system. There should be a /System/Library/Frameworks/JavaVM.framework/Versions/1.5

Note: See TracTickets for help on using tickets.
swiss made software